com.sun.syndication.feed.atom

## Class Content

- java.lang.Object
- - com.sun.syndication.feed.atom.Content

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Content
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable

Bean for content elements of Atom feeds.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `BASE64` Atom 0.3 only
`static java.lang.String` `ESCAPED` Atom 0.3 only
`static java.lang.String` `HTML`
`static java.lang.String` `TEXT`
`static java.lang.String` `XHTML`
`static java.lang.String` `XML` Atom 0.3 only

### Constructor Summary

Constructors
Constructor and Description
`Content()` Default constructor.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getMode()` Returns the content mode (Atom 0.3 only).
`java.lang.String` `getSrc()` Returns the src
`java.lang.String` `getType()` Returns the content type.
`java.lang.String` `getValue()` Returns the content value.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setMode(java.lang.String mode)` Sets the content mode (Atom 0.3 only).
`void` `setSrc(java.lang.String src)` Set the src
`void` `setType(java.lang.String type)` Sets the content type.
`void` `setValue(java.lang.String value)` Sets the content value.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TEXT

    public static final java.lang.String TEXT

Since:
  Atom 1.0
See Also:
  Constant Field Values

#### HTML

    public static final java.lang.String HTML

Since:
  Atom 1.0
See Also:
  Constant Field Values

#### XHTML

    public static final java.lang.String XHTML

Since:
  Atom 1.0
See Also:
  Constant Field Values

#### XML

    public static final java.lang.String XML

Atom 0.3 only

See Also:
  Constant Field Values

#### BASE64

    public static final java.lang.String BASE64

Atom 0.3 only

See Also:
  Constant Field Values

#### ESCAPED

    public static final java.lang.String ESCAPED

Atom 0.3 only

See Also:
  Constant Field Values

### Constructor Detail

#### Content

    public Content()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getType

    public java.lang.String getType()

Returns the content type.

The type indicates how the value was/will-be encoded in the XML feed.

Since:
  Atom 1.0

#### setType

    public void setType(java.lang.String type)

Sets the content type.

The type indicates how the value was/will-be encoded in the XML feed.

Since:
  Atom 1.0

#### getMode

    public java.lang.String getMode()

Returns the content mode (Atom 0.3 only).

The mode indicates how the value was/will-be encoded in the XML feed.

Returns:
  the content mode, null if none.

#### setMode

    public void setMode(java.lang.String mode)

Sets the content mode (Atom 0.3 only).

The mode indicates how the value was/will-be encoded in the XML feed.

Parameters:
  `mode` - the content mode, null if none.

#### getValue

    public java.lang.String getValue()

Returns the content value.

The return value should be decoded.

Returns:
  the content value, null if none.

#### setValue

    public void setValue(java.lang.String value)

Sets the content value.

The value being set should be decoded.

Parameters:
  `value` - the content value, null if none.

#### getSrc

    public java.lang.String getSrc()

Returns the src

Returns:
  Returns the src.
Since:
  Atom 1.0

#### setSrc

    public void setSrc(java.lang.String src)

Set the src

Parameters:
  `src` - The src to set.
Since:
  Atom 1.0